Help-Unable to mesh - Tutorial 1 elbow

A subforum specific to the development of the OpenFoam-based workbenches ( Cfd https://github.com/qingfengxia/Cfd and CfdOF https://github.com/jaheyns/CfdOF )

Moderator: oliveroxtoby

Post Reply
siew
Posts: 3
Joined: Sun Jul 14, 2019 12:34 pm

Help-Unable to mesh - Tutorial 1 elbow

Post by siew » Sun Jul 14, 2019 1:00 pm

Hello, I am new to the software and CFD and I am using FreeCAD 0.18. I tried to run the mesh and it takes ages and end up with ' meshing exited with error'.
Tutorial
http://www.opensim.co.za/training.html

Mesh Setting:
Element Dimension:3D
Mesh Utility: gmsh
Base Element size:1.5m

Report view pop up a message :
./Allmesh:line4:1900 Segmentation fault ''$@''>>(tee-a log.''$sol'')2>>(tee-a log.''$sol''>&2)
App::DocumentObjectGroupPython/Pad_Mesh:Links go out of the allowed scope

Is there anyone be able to help and guide me through?

User avatar
oliveroxtoby
Posts: 322
Joined: Fri Dec 23, 2016 9:43 am
Location: South Africa

Re: Help-Unable to mesh - Tutorial 1 elbow

Post by oliveroxtoby » Sun Jul 14, 2019 8:12 pm

siew wrote:
Sun Jul 14, 2019 1:00 pm
Hello, I am new to the software and CFD and I am using FreeCAD 0.18. I tried to run the mesh and it takes ages and end up with ' meshing exited with error'.
Tutorial
http://www.opensim.co.za/training.html

Mesh Setting:
Element Dimension:3D
Mesh Utility: gmsh
Base Element size:1.5m

Report view pop up a message :
./Allmesh:line4:1900 Segmentation fault ''$@''>>(tee-a log.''$sol'')2>>(tee-a log.''$sol''>&2)
App::DocumentObjectGroupPython/Pad_Mesh:Links go out of the allowed scope

Is there anyone be able to help and guide me through?
Please could you provide a saved .fcstd file from which the problem can be reproduced.
Please provide all the information requested in this post before reporting problems with CfdOF.

siew
Posts: 3
Joined: Sun Jul 14, 2019 12:34 pm

Re: Help-Unable to mesh - Tutorial 1 elbow

Post by siew » Mon Jul 15, 2019 11:07 am

Hello Oliveroxtoby,

I have uploaded the file and please find the file from the link below. I have tried to run the tutorial several times with different mesh size (1.5m, 1m, 800mm) but was not successful.
https://drive.google.com/open?id=1hIJXD ... C-uqnFGtJo

If you are able to help or guide, that will be great. thanks in advance.

User avatar
oliveroxtoby
Posts: 322
Joined: Fri Dec 23, 2016 9:43 am
Location: South Africa

Re: Help-Unable to mesh - Tutorial 1 elbow

Post by oliveroxtoby » Mon Jul 15, 2019 3:19 pm

siew wrote:
Mon Jul 15, 2019 11:07 am
Hello Oliveroxtoby,

I have uploaded the file and please find the file from the link below. I have tried to run the tutorial several times with different mesh size (1.5m, 1m, 800mm) but was not successful.
https://drive.google.com/open?id=1hIJXD ... C-uqnFGtJo

If you are able to help or guide, that will be great. thanks in advance.
Your model meshes fine for me. Could you have a look at the guidelines https://forum.freecadweb.org/viewtopic.php?f=37&t=33492 and provide all the output that appears?

Do you also have problems with cfMesh and snappyHexMesh? You'll need to reduce the mesh spacing to 0.4m for cfMesh due to the thinness of the model.
Please provide all the information requested in this post before reporting problems with CfdOF.

siew
Posts: 3
Joined: Sun Jul 14, 2019 12:34 pm

Re: Help-Unable to mesh - Tutorial 1 elbow

Post by siew » Wed Jul 17, 2019 3:56 am

Dear Oliveroxtoby,

As the output message on the report view is too long, I have attached the report with this message.

For the Python console, these are the output messahe appear.

Python 3.6.6 | packaged by conda-forge | (default, Jul 26 2018, 11:48:23) [MSC v.1900 64 bit (AMD64)] on win32
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> MRU="0"
>>> exec(open('C:/Program Files/FreeCAD 0.18/data/Mod/Start/StartPage/LoadMRU.py').read())
>>> App.setActiveDocument("Elbow_setting_2_b")
>>> App.ActiveDocument=App.getDocument("Elbow_setting_2_b")
>>> Gui.ActiveDocument=Gui.getDocument("Elbow_setting_2_b")
>>> Gui.activateWorkbench("CfdOFWorkbench")
>>>
>>> import CfdMesh
>>> CfdMesh.makeCfdMesh('Pad_Mesh')
>>> App.ActiveDocument.ActiveObject.Part = App.ActiveDocument.Pad
>>> import CfdTools
>>> CfdTools.getActiveAnalysis().addObject(App.ActiveDocument.ActiveObject)
>>>


I have tried before to run cfMesh but still unable to run.

However, I am able to run mesh using either cFmesh or gmsh on a small cylinder. Small because I compare with this model. The size of cylinder was 40mm diameter and 100mm long.
Attachments
Report_View_Elbow.txt
(608.29 KiB) Downloaded 18 times

User avatar
oliveroxtoby
Posts: 322
Joined: Fri Dec 23, 2016 9:43 am
Location: South Africa

Re: Help-Unable to mesh - Tutorial 1 elbow

Post by oliveroxtoby » Wed Jul 17, 2019 6:13 am

siew wrote:
Wed Jul 17, 2019 3:56 am
Dear Oliveroxtoby,

As the output message on the report view is too long, I have attached the report with this message.
Very strange. Works fine for me, apparently with the same version of gmsh. Please could you supply your FreeCAD version information as requested in the guidelines mentioned previously. Please also attach the gmsh/Pad_Geometry.geo file that is created in the mesh directory.
Please provide all the information requested in this post before reporting problems with CfdOF.

Post Reply